org.eclnt.fxcharts.data

## Class FXCoordinateChartInfo

- java.lang.Object
- - org.eclnt.fxcharts.data.FXChartInfo
  - - org.eclnt.fxcharts.data.FXCoordinateChartInfo

-     public class FXCoordinateChartInfo
      extends FXChartInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHARTTYPE_AREACHART`
    `static int` | `CHARTTYPE_BUBBLECHART`
    `static int` | `CHARTTYPE_LINECHART`
    `static int` | `CHARTTYPE_STACKEDAREACHART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FXCoordinateChartInfo()`
    `FXCoordinateChartInfo(int chartType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChartType()`
    `java.util.List<FXCoordinateChartSeries>` | `getSeries()`
    `java.lang.String` | `getXAxisLabel()`
    `java.lang.String` | `getYAxisLabel()`
    `void` | `setChartType(int chartType)`
    `void` | `setSeries(java.util.List<FXCoordinateChartSeries> series)`
    `void` | `setXAxisLabel(java.lang.String xAxisLabel)`
    `void` | `setYAxisLabel(java.lang.String yAxisLabel)`

    - ### Methods inherited from class org.eclnt.fxcharts.data.FXChartInfo

      `getTitle, getTitleSide, setTitle, setTitleSide`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHARTTYPE_LINECHART

          public static final int CHARTTYPE_LINECHART

      See Also:
        Constant Field Values

    - #### CHARTTYPE_AREACHART

          public static final int CHARTTYPE_AREACHART

      See Also:
        Constant Field Values

    - #### CHARTTYPE_STACKEDAREACHART

          public static final int CHARTTYPE_STACKEDAREACHART

      See Also:
        Constant Field Values

    - #### CHARTTYPE_BUBBLECHART

          public static final int CHARTTYPE_BUBBLECHART

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FXCoordinateChartInfo

          public FXCoordinateChartInfo()

    - #### FXCoordinateChartInfo

          public FXCoordinateChartInfo(int chartType)

  - ### Method Detail

    - #### getChartType

          public int getChartType()

    - #### setChartType

          public void setChartType(int chartType)

    - #### getSeries

          public java.util.List<FXCoordinateChartSeries> getSeries()

    - #### setSeries

          public void setSeries(java.util.List<FXCoordinateChartSeries> series)

    - #### getXAxisLabel

          public java.lang.String getXAxisLabel()

    - #### setXAxisLabel

          public void setXAxisLabel(java.lang.String xAxisLabel)

    - #### getYAxisLabel

          public java.lang.String getYAxisLabel()

    - #### setYAxisLabel

          public void setYAxisLabel(java.lang.String yAxisLabel)

Copyright © CaptainCasa Gmbh. All Rights Reserved.